SET (BRDFLib_SRC
	anisotropicPhong.cpp
	anisotropicPhong.h
	basic.cpp
	basic.h
	beard_maxwell.cpp
	beard_maxwell.h
	color.h
	color.cpp
	colors.h
	config.h
	configg.h
	configh.h
	contrib.h
	cook_torrance.cpp
	cook_torrance.h
	coupledModel.cpp
	coupledModel.h
	db_brdf.cpp
	db_brdf.h
	detrnd.cpp
	detrnd.h
	detrndba.h
	errorg.cpp
	errorg.h
	fullgon.cpp
	fullgon.h
	functions.h
	halton.h
	hemigon.cpp
	hemigon.h
	hminfo.cpp
	hminfo.h
	kurt_kalos.cpp
	kurt_kalos.h
	lafortune.cpp
	lafortune.h
	layered_mixture.cpp
	layered_mixture.h
	layered_surface.cpp
	layered_surface.h
	mapinfo.h
	mappibas.h
	matrix3.cpp
	matrix3.h
	matrix4.cpp
	matrix4.h
	mgfsurf.cpp
	mgfsurf.h
	minnaert.cpp
	minnaert.h
	neumann.cpp
	neumann.h
	oren_nayar.cpp
	oren_nayar.h
	phong.cpp
	phong.h
	ray.cpp
	ray.h
	reflsurf.cpp
	reflsurf.h
	refrsurf.cpp
	refrsurf.h
	rnd.h
	samplinf.h
	schlick.cpp
	schlick.h
	simplified_cook_torrance.cpp
	simplified_cook_torrance.h
	spectrum.cpp
	spectrum.h
	sphcoord.h
	strings.cpp
	strings.h
	surface.cpp
	surface.h
	surface_microfacet.cpp
	surface_microfacet.h
	texture.h
	textured_ward.cpp
	textured_ward.h
	vector2.cpp
	vector2.h
	vector3.cpp
	vector3.h
	ward.cpp
	ward.h
)

include_directories(SYSTEM ../ann_1.1.2/include)

add_library(BRDFLib STATIC ${BRDFLib_SRC})

set_target_properties(BRDFLib PROPERTIES 
	DEBUG_OUTPUT_NAME BRDFLib_d 
	RELEASE_OUTPUT_NAME BRDFLib
	ARCHIVE_OUTPUT_DIRECTORY_DEBUG ${VRUT_LIB_DIR}
	ARCHIVE_OUTPUT_DIRECTORY_RELEASE ${VRUT_LIB_DIR}
	RUNTIME_OUTPUT_DIRECTORY_DEBUG ${VRUT_MODULES_DIR}
	RUNTIME_OUTPUT_DIRECTORY_RELEASE ${VRUT_MODULES_DIR}
)